Business Wallet

Check balance of your InstantPay Business Wallet.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code -1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN
📘

Info :

Click Here to know how to get the Credentials.

Request Parameters

ParametersTypeMandatory (M) , Optional(O)Description
bankProfileIdStringM0 (Fixed)
accountNumberStringMInstantpay Registered Mobile Number
externalRefStringMUnique Reference number
latitudeStringMCurrent location latitude
longitudeStringMCurrent location longitude

Sample Request

curl --location --request POST 'https://api.instantpay.in/accounts/balance' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
   "bankProfileId": "0",
   "accountNumber": "7428585742",
   "externalRef": "PROD1",
   "latitude": "20.1236",
   "longitude": "78.3228"
}'
POST /accounts/balance HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
   "bankProfileId": "0",
   "accountNumber": "7428585742",
   "externalRef": "PROD1",
   "latitude": "20.1236",
   "longitude": "78.3228"
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "bankId": "0",
        "bankProfileId": 0,
        "accountNumber": "7428585742",
        "accountShortNumber": "5742",
        "balance": {
            "total": "16.82",
            "lien": "0.00",
            "available": "16.82"
        },
        "poolReferenceId": "",
        "pool": {
            "account": "7428585742",
            "openingBal": "16.82",
            "mode": "DR",
            "amount": "0.00",
            "closingBal": "16.82"
        }
    },
    "timestamp": "2022-03-21 10:20:36",
    "ipay_uuid": "h00695deb945-3def-42ba-8857-2ff7bac93fe6",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null

}
❗️

Note :

1 - Latitude and Longitude must be represented in degrees with 4 digits after decimal.

2- externalRef must be unique and in alpha numeric characters.

3- Call this API once an hour to sync the data in your application.

Body Params
string

Linked Current Account Profile ID

string

Linked Current Account Number

string

Unique Transaction Id

string

Current location latitude

string

Current location longitude

Headers
string
Defaults to 1
string

Unique Client Id

string

Unique Client Secret

string

Customer Ip Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json